[Scipy-tickets] [SciPy] #1244: Invalid import of functools in Python2.4

SciPy Trac scipy-tickets@scipy....
Tue Jul 20 09:16:25 CDT 2010


#1244: Invalid import of functools in Python2.4
----------------------+-----------------------------------------------------
 Reporter:  bsouthey  |       Owner:  somebody
     Type:  defect    |      Status:  new     
 Priority:  normal    |   Milestone:  0.8.0   
Component:  Other     |     Version:  devel   
 Keywords:            |  
----------------------+-----------------------------------------------------
 The functools module was introduced in Python2.5 so it is not valid for
 Python2.4. Consequently the scipy/io/matlab/tests/test_mio.py failures
 with an import error. The attached patch uses the myfunctools from
 scipy.io.affy.

-- 
Ticket URL: <http://projects.scipy.org/scipy/ticket/1244>
SciPy <http://www.scipy.org>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list